import s from "@sharkitek/core";

import { Agent, AgentModel } from "./agent.ts";

/**
 * An **ApplicationWorker** agent is responsible for running assigned instances of an application,
 * using their specific environment.
 */
export class ApplicationWorker extends Agent {}

export const ApplicationWorkerModel = s.extend(AgentModel, {
	Class: ApplicationWorker,
	properties: {},
});
