import s from "@sharkitek/core";

import { Agent, AgentModel } from "./agent.ts";

/**
 * The **Service Provider** is responsible for providing a database, a storage solution,
 * or a way to execute a specific thing when an application needs it.
 */
export class ServiceProvider extends Agent {}

export const ServiceProviderModel = s.extend(AgentModel, {
	Class: ServiceProvider,
	properties: {},
});
